core::trust::CachedAgent::Configuration Struct Reference

Creation time parameters. More...

`#include <cached_agent.h>`

Collaboration diagram for core::trust::CachedAgent::Configuration:

## Public Attributes

std::shared_ptr< Agent > | agent
| The actual agent implementation for prompting the user. More...
std::shared_ptr< Store > | store
| The store caching user answers to trust prompts. More...
std::shared_ptr< Reporter > | reporter
| The reporter implementation. More...

## Detailed Description

Creation time parameters.

Definition at line 51 of file cached_agent.h.

## Member Data Documentation

std::shared_ptr<Agent> core::trust::CachedAgent::Configuration::agent

The actual agent implementation for prompting the user.

Definition at line 54 of file cached_agent.h.

std::shared_ptr<Reporter> core::trust::CachedAgent::Configuration::reporter

The reporter implementation.

Definition at line 58 of file cached_agent.h.

std::shared_ptr<Store> core::trust::CachedAgent::Configuration::store

The store caching user answers to trust prompts.

Definition at line 56 of file cached_agent.h.

The documentation for this struct was generated from the following file:

- /build/trust-store-uD3f_u/trust-store-2.0.0+16.04.20160119/include/core/trust/cached_agent.h